## gce-compute-image-packages 20190522

=== packages/google-compute-engine-oslogin/Makefile ===
SHELL = /bin/sh

BASENAME = oslogin
NAME = google-compute-engine-$(BASENAME)
MAJOR = 1
MINOR = 5
REVISION = 3

LIBNSS_CACHE_OSLOGIN = libnss_cache_$(BASENAME)
LIBNSS_CACHE_OSLOGIN_NAME = libnss_cache_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
LIBNSS_CACHE_OSLOGIN_SONAME = $(LIBNSS_CACHE_OSLOGIN).so.2
NSS_LIBRARY_NAME = libnss_$(NAME)-$(MAJOR).$(MINOR).$(REVISION).so
NSS_LIBRARY_SONAME = libnss_$(BASENAME).so.2
NSS_INSTALL_PATH = /lib
PAM_INSTALL_PATH = /lib/security
AUTHKEYS_INSTALL_PATH = /usr/bin

JSON_INCLUDE_PATH = /usr/include/json-c
INCLUDE_FLAGS = -I$(JSON_INCLUDE_PATH)

CXX ?= g++
CXXFLAGS += -fPIC# -Wall
CC ?= gcc
PAMFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared
NSSFLAGS = $(LDFLAGS) $(INCLUDE_FLAGS) -shared -Wl,-soname,$(NSS_LIBRARY_SONAME)
LIBNSSFLAGS = $(LDFLAGS) -Wall -Wstrict-prototypes -fPIC -g
LIBNSS_SO_FLAGS = $(LIBNSSFLAGS) -shared -Wl,-soname,$(LIBNSS_CACHE_OSLOGIN_SONAME)

# UTILS
UTILS_DIR = utils
UTILS_SRC = $(UTILS_DIR)/$(BASENAME)_utils.cc
UTILS = $(UTILS_DIR)/$(BASENAME)_utils.o

# AUTHORIZED KEYS
AUTHKEYS_DIR = authorized_keys
AUTHKEYS_SRC = $(AUTHKEYS_DIR)/authorized_keys.cc
AUTHKEYS_BIN = google_authorized_keys

# NSS
NSS = nss_$(BASENAME)
NSS_DIR = nss_module
NSS_SRC = $(NSS_DIR)/$(NSS).cc

# NSS CACHE
NSS_CACHE = nss_cache
NSS_CACHE_DIR = nss_cache
NSS_CACHE_BIN = google_$(BASENAME)_nss_cache
NSS_CACHE_SRC = $(NSS_CACHE_DIR)/$(NSS_CACHE).cc

# LIBNSS OSLOGIN CACHE
LIBNSS_CACHE_OSLOGIN_DIR = $(LIBNSS_CACHE_OSLOGIN)
LIBNSS_CACHE = nss_cache_$(BASENAME)
LIBNSS_CACHE_SRC = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_CACHE).c
LIBNSS_CACHE_OBJ = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_CACHE).o
LIBNSS_COMPAT = compat/getpwent_r
LIBNSS_COMPAT_SRC = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_COMPAT).c
LIBNSS_COMPAT_OBJ = $(LIBNSS_CACHE_OSLOGIN_DIR)/$(LIBNSS_COMPAT).o

# PAM
PAM = pam_$(BASENAME)
PAM_DIR = pam_module
PAM_ADMIN = $(PAM)_admin
PAM_ADMIN_SRC = $(PAM_DIR)/$(PAM_ADMIN).cc
PAM_ADMIN_OBJ = $(PAM_DIR)/$(PAM_ADMIN).o
PAM_ADMIN_MOD = $(PAM_ADMIN).so
PAM_LOGIN = $(PAM)_login
PAM_LOGIN_SRC = $(PAM_DIR)/$(PAM_LOGIN).cc
PAM_LOGIN_OBJ = $(PAM_DIR)/$(PAM_LOGIN).o
PAM_LOGIN_MOD = $(PAM_LOGIN).so

# HELPER SCRIPTS
BIN_DIR = bin
OSLOGIN_HELPER = $(BIN_DIR)/google_oslogin_control
BIN_INSTALL_PATH = /usr/bin

# SELINUX POLICY
INSTALL_SELINUX =
POLICY_DIR = policy
SELINUX_INSTALL_NAME = oslogin.pp
SELINUX_MODULE = $(POLICY_DIR)/$(SELINUX_INSTALL_NAME)
SELINUX_INSTALL_PATH = /usr/share/selinux/packages

LIBS = -lcurl -ljson-c
PAM_LIBS = -lpam $(LIBS)

ifdef INSTALL_SELINUX
all: $(NSS) $(NSS_CACHE_BIN) $(LIBNSS_CACHE_OSLOGIN_NAME) $(PAM) $(AUTHKEYS_BIN)
else
all: $(NSS) $(NSS_CACHE_BIN) $(LIBNSS_CACHE_OSLOGIN_NAME) $(PAM) $(AUTHKEYS_BIN)
endif

$(NSS): $(NSS_LIBRARY_SOURCE) $(UTILS)
	$(CXX) $(CXXFLAGS) $(NSSFLAGS) -o $(NSS_LIBRARY_NAME) \
	$(NSS_SRC) $(UTILS) $(LIBS)

$(NSS_CACHE_BIN): $(NSS_CACHE_SRC) $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(NSS_CACHE_BIN) $(NSS_CACHE_SRC) $(UTILS_SRC) $(LIBS)

$(LIBNSS_CACHE_OSLOGIN_NAME): $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)
	$(CXX) $(LIBNSS_SO_FLAGS) -o $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ)

$(LIBNSS_CACHE_OBJ): $(LIBNSS_CACHE_SRC)
	$(CC) $(LIBNSSFLAGS) -c -o $(LIBNSS_CACHE_OBJ) $(LIBNSS_CACHE_SRC)

$(LIBNSS_COMPAT_OBJ): $(LIBNSS_COMPAT_SRC)
	$(CC) $(LIBNSSFLAGS) -c -o $(LIBNSS_COMPAT_OBJ) $(LIBNSS_COMPAT_SRC)

$(PAM): $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD)

$(PAM_LOGIN_MOD): $(PAM_LOGIN_OBJ) $(UTILS)
	$(CXX) $(PAMFLAGS) -o $(PAM_LOGIN_MOD) $(PAM_LOGIN_OBJ) $(UTILS) $(PAM_LIBS)

$(PAM_ADMIN_MOD): $(PAM_ADMIN_OBJ) $(UTILS)
	$(CXX) $(PAMFLAGS) -o $(PAM_ADMIN_MOD) $(PAM_ADMIN_OBJ) $(UTILS) $(PAM_LIBS)

$(PAM_LOGIN_OBJ): $(PAM_LOGIN_SRC)
	$(CXX) $(CXXFLAGS) -c $(PAM_LOGIN_SRC) -o $(PAM_LOGIN_OBJ)

$(PAM_ADMIN_OBJ): $(PAM_ADMIN_SRC)
	$(CXX) $(CXXFLAGS) -c $(PAM_ADMIN_SRC) -o $(PAM_ADMIN_OBJ)

$(AUTHKEYS_BIN): $(AUTHKEYS_SRC) $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(INCLUDE_FLAGS) -o $(AUTHKEYS_BIN) $(AUTHKEYS_SRC) $(UTILS_SRC) $(LIBS)

$(UTILS): $(UTILS_SRC)
	$(CXX) $(CXXFLAGS) $(INCLUDE_FLAGS) -c $(UTILS_SRC) -o $(UTILS)

install: $(NSS_LIBRARY_NAME) $(LIBNSS_OSLOGIN_CACHE_NAME) $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN)
	mkdir -p $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
	mkdir -p $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
	install -m 0644 $(LIBNSS_CACHE_OSLOGIN_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	install -m 0644 $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)
	install -m 0644 $(PAM_ADMIN_MOD) $(PAM_LOGIN_MOD) $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)
	install -m 0755 $(AUTHKEYS_BIN) $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)
	install -m 0755 $(OSLOGIN_HELPER) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
	install -m 0755 $(NSS_CACHE_BIN) $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)
ifdef MAKE_LINKS
	ln -sf $(LIBNSS_CACHE_OSLOGIN_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(LIBNSS_CACHE_OSLOGIN_SONAME)
	ln -sf $(NSS_LIBRARY_NAME) $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_SONAME)
endif
ifdef INSTALL_SELINUX
	mkdir -p $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)
	install -T -m 0644 $(SELINUX_MODULE) $(DESTDIR)$(PREFIX)/$(SELINUX_INSTALL_PATH)/$(SELINUX_INSTALL_NAME)
endif

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(LIBNSS_CACHE_OSLOGIN_NAME)
	rm -f $(DESTDIR)$(PREFIX)/$(NSS_INSTALL_PATH)/$(NSS_LIBRARY_NAME)
	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_ADMIN_MOD)
	rm -f $(DESTDIR)$(PREFIX)/$(PAM_INSTALL_PATH)/$(PAM_LOGIN_MOD)
	rm -f $(DESTDIR)$(PREFIX)/$(AUTHKEYS_INSTALL_PATH)/$(AUTHKEYS_BIN)
	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(OSLOGIN_HELPER)
	rm -f $(DESTDIR)$(PREFIX)/$(BIN_INSTALL_PATH)/$(NSS_CACHE_BIN)
clean:
	rm -f $(UTILS) $(NSS_LIBRARY_NAME) $(LIBNSS_CACHE_OSLOGIN_NAME) $(LIBNSS_CACHE_OBJ) $(LIBNSS_COMPAT_OBJ) $(PAM_ADMIN_OBJ) $(PAM_ADMIN_MOD) $(PAM_LOGIN_OBJ) $(PAM_LOGIN_MOD) $(AUTHKEYS_BIN) $(NSS_CACHE_BIN)

=== debian/changelog ===
gce-compute-image-packages (20190522-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 12:41:41 +0200

gce-compute-image-packages (20190522-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190522 (LP: #1831436)
    - Encode hostkey value to utf-8 (needed for Python 3)
  * Update shared library symlinks

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 11:35:43 +0200

gce-compute-image-packages (20190521-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 May 2019 13:29:21 +0200

gce-compute-image-packages (20190315-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:04:05 +0200

gce-compute-image-packages (20190124+dfsg1-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 12:47:54 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~18.10.0) cosmic; urgency=medium

  * Rebuild for Cosmic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Dec 2018 17:07:59 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=google-compute-engine
export PYBUILD_TEST_PYTEST=1
export PYBUILD_DIR=packages/python-google-compute-engine
export PYBUILD_TEST_ARGS={dir}/packages/google_compute_engine/

OSLOGIN_DIR=packages/google-compute-engine-oslogin

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with python2,python3,systemd --buildsystem=pybuild

override_dh_auto_configure:
	cp -r /usr/src/gtest/ ./
	dh_auto_configure

override_dh_auto_test:
	(cd gtest && cmake . && $(MAKE) )
	(cd $(OSLOGIN_DIR)/utils && \
		$(CXX) $(CXXFLAGS) -L../../../gtest -o test_runner oslogin_utils_test.cc oslogin_utils.cc -I/usr/include/json-c -lcurl -ljson-c -lgtest -lpthread && \
		./test_runner && \
		rm test_runner)

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C $(OSLOGIN_DIR) all

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(OSLOGIN_DIR) DESTDIR=$(CURDIR)/debian/tmp PAM_INSTALL_PATH=/lib/$(DEB_HOST_MULTIARCH)/security BIN_INSTALL_PATH=/usr/bin install

override_dh_link-indep:
	rm -f debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks \
		debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks.d/google_set_hostname
	dh_link -i

override_dh_installdeb-indep:
	rm -rf debian/gce-compute-image-packages/etc/init
	# ForwardToConsole=yes does not seem to be a good idea, see Debian Bug #923889
	rm debian/gce-compute-image-packages/usr/lib/systemd/journald.conf.d/20-google.conf
	dh_installdeb -i

override_dh_systemd_start:
	# Configured in gce-compute-image-packages.postinst instead.

override_dh_python3:
	dh_python3
	# We want to split the Python 3 scripts out to the
	# gce-compute-image-packages package
	mkdir -p debian/gce-compute-image-packages/usr/bin/
	mv debian/python3-google-compute-engine/usr/bin/* debian/gce-compute-image-packages/usr/bin/
	rmdir debian/python3-google-compute-engine/usr/bin

override_dh_python2:
	dh_python2
	# We don't want the Python 2 scripts at all
	rm -rf debian/python-google-compute-engine/usr/bin

override_dh_clean:
	dh_clean packages/google_compute_engine.egg-info/ gtest/

override_dh_auto_clean:
	$(MAKE) -C $(OSLOGIN_DIR) clean
	dh_auto_clean

## gce-compute-image-packages 20190801

=== packages/google-compute-engine-oslogin/Makefile ===
all install :
	$(MAKE) -C src $@

tests :
	$(MAKE) -C test $@

clean :
	$(MAKE) -C src clean
	$(MAKE) -C test clean

prowbuild : debian_deps all

prowtest : debian_deps tests

debian_deps :
	sudo apt-get -y install g++ libcurl4-openssl-dev libjson-c-dev libpam-dev \
		googletest && touch $@

.PHONY : all clean install prowbuild prowtest

=== packages/google-compute-engine-oslogin/test/Makefile ===
TOPDIR = $(realpath ..)

CPPFLAGS += -I$(TOPDIR)/src/include -I/usr/include/json-c
CXXFLAGS += -g -Wall -Wextra -std=c++11
LDLIBS = -lcurl -ljson-c -lpthread

all : test_runner non_network_tests

clean :
	rm -f test_runner *.o

gtest-all.o : $(GTEST_DIR)/src/gtest-all.cc
	$(CXX) $(CXXFLAGS) -isystem $(GTEST)/include -I$(GTEST) $(CPPFLAGS) -c $^

test_runner : oslogin_utils_test.o $(TOPDIR)/src/utils.o gtest-all.o
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $^ -o $@ $(LDLIBS)

non_network_tests : test_runner
	./test_runner --gtest_filter=*-FindGroupTest.*:GetUsersForGroupTest.*

network_tests : test_runner ping reset
	./test_runner --gtest_filter=FindGroupTest.*:GetUsersForGroupTest.*

# run as $ make tests GTESTARGS="--gtest_filter=FindGroupTest.*"
tests : test_runner
	./test_runner ${GTESTARGS}

ping :
	nc -vzw2 metadata.google.internal 80 >/dev/null 2>&1

reset :
	curl -Ss http://metadata.google.internal/reset >/dev/null 2>&1

.PHONY : all clean tests ping reset gtest prowtest

=== debian/changelog ===
gce-compute-image-packages (20190801-0ubuntu1~18.04.2) bionic; urgency=medium

  * Drop google-compute-engine-oslogin packaging (LP: #1899629)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 13 Oct 2020 19:46:42 +0200

gce-compute-image-packages (20190801-0ubuntu1~18.04.1) bionic; urgency=medium

  * Disable automatic adding of groups to all users (LP: #1878654)
    - d/p/0006-Remove-OS-Login-users-from-admin-groups.-29.patch: remove
      adm, docker, and lxd groups
    - d/p/0007-Remove-local-user-groups-for-OS-Login-users.-30.patch:
      remove dip and plugdev groups

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 May 2020 16:44:15 -0700

gce-compute-image-packages (20190801-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Aug 2019 21:57:58 +0200

gce-compute-image-packages (20190801-0ubuntu1) eoan; urgency=medium

  * New upstream version 20190801 (LP: #1840245)
    - Add manpages for NSS modules
    - Switch to the v1 Guest Attributes URL
    - Support Google Private Access over IPv6
  * Refresh patches
  * Fix running tests
  * Keep setting multiarch libdir with the changes upstream Makefiles
  * Update shared library symlinks
  * Don't try to set noop scheduler for partitions (LP: #1833660)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Aug 2019 19:36:10 +0200

gce-compute-image-packages (20190522-0ubuntu2) eoan; urgency=medium

  * Rebuild against new libjson-c4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jun 2019 13:58:02 +0200

gce-compute-image-packages (20190522-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 12:41:41 +0200

gce-compute-image-packages (20190521-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 May 2019 13:29:21 +0200

gce-compute-image-packages (20190315-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic.

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 22 Apr 2019 14:11:21 +0200

gce-compute-image-packages (20190124+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 25 Jan 2019 14:36:02 +0700

gce-compute-image-packages (20181206+dfsg1-0ubuntu1~18.04.0) bionic; urgency=medium

  * Rebuild for Bionic

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 21 Dec 2018 17:15:38 +0100

=== debian/control ===
Source: gce-compute-image-packages
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: admin
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9.20160709),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-pytest,
               python3-pytest,
               python-mock,
               python-boto,
               python3-boto
Standards-Version: 3.9.8
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>

Package: gce-compute-image-packages
Architecture: all
Depends: python3:any,
         ${python3:Depends},
         ${misc:Depends},
         google-compute-engine-oslogin (>> 20190801),
         python3-google-compute-engine (= ${source:Version}),
         cloud-init
Provides: irqbalance
Recommends: rsyslog | system-log-daemon
Suggests: libpam-cracklib
Conflicts: gce-cloud-config,
           gce-daemon,
           gce-startup-scripts
Replaces: gce-cloud-config,
          gce-daemon,
          gce-startup-scripts
Description: GCE's compute-image-packages for use in their guest environment
 This is a collection of scripts that are used on Google Compute Engine images
 to ensure compatibility with the cloud, as well as to enable features specific
 to the cloud.

Package: python-google-compute-engine
Architecture: all
Section: python
Depends: ${python:Depends},
         ${misc:Depends}
Description: Python library for Google Compute Engine interaction
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 2.x.

Package: python3-google-compute-engine
Architecture: all
Section: python
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Python library for Google Compute Engine interaction (Python 3)
 Python libraries used for interacting with Google Compute Engine's APIs and
 functionality.  This package contains the modules for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=google-compute-engine
export PYBUILD_TEST_PYTEST=1
export PYBUILD_DIR=packages/python-google-compute-engine
export PYBUILD_TEST_ARGS={dir}/packages/google_compute_engine/

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with python2,python3,systemd --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure

override_dh_auto_test:

override_dh_link-indep:
	rm -f debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks \
		debian/gce-compute-image-packages/etc/dhcp/dhclient-exit-hooks.d/google_set_hostname
	dh_link -i

override_dh_installdeb-indep:
	rm -rf debian/gce-compute-image-packages/etc/init
	dh_installdeb -i

override_dh_systemd_start:
	# Configured in gce-compute-image-packages.postinst instead.

override_dh_python3:
	dh_python3
	# We want to split the Python 3 scripts out to the
	# gce-compute-image-packages package
	mkdir -p debian/gce-compute-image-packages/usr/bin/
	mv debian/python3-google-compute-engine/usr/bin/* debian/gce-compute-image-packages/usr/bin/
	rmdir debian/python3-google-compute-engine/usr/bin

override_dh_python2:
	dh_python2
	# We don't want the Python 2 scripts at all
	rm -rf debian/python-google-compute-engine/usr/bin

override_dh_clean:
	dh_clean packages/google_compute_engine.egg-info/

## gce-compute-image-packages 20200626.00

=== debian/changelog ===
gce-compute-image-packages (20200626.00-0ubuntu1) groovy; urgency=medium

  * New upstream version 20191115 (LP: 1853846)
    - Move the OS Login components to a separate project
  * Drop google-compute-engine-oslogin packaging
  * Drop obsolete patches
  * debian/watch: Update upstream repository location
  * New upstream version 20200626.00
  * Drop obsolete patches
  * Adjust packaging to conform to upstream changes

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Jul 2020 14:57:20 +0200

gce-compute-image-packages (20190801-0ubuntu5) groovy; urgency=medium

  * Disable automatic adding of groups to all users (LP: #1878654)
    - d/p/0006-Remove-OS-Login-users-from-admin-groups.-29.patch: remove
      adm, docker, and lxd groups
    - d/p/0007-Remove-local-user-groups-for-OS-Login-users.-30.patch:
      remove dip and plugdev groups

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 May 2020 15:25:37 -0700

gce-compute-image-packages (20190801-0ubuntu4) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:01:26 +0000

gce-compute-image-packages (20190801-0ubuntu3) focal; urgency=medium

  * Stop build the Python2 packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 18:33:02 +0100

gce-compute-image-packages (20190801-0ubuntu2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:33:32 +0000

=== debian/control ===
Source: gce-compute-image-packages
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9.20160709),
Standards-Version: 3.9.8
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
Homepage: https://github.com/GoogleCloudPlatform/compute-image-packages
XSBC-Original-Maintainer: Daniel Watkins <daniel.watkins@canonical.com>

Package: google-compute-engine
Architecture: all
Depends: ${misc:Depends},
         google-compute-engine-oslogin (>> 20190801),
         google-guest-agent
Provides: irqbalance
Recommends: rsyslog | system-log-daemon
Suggests: libpam-cracklib
Conflicts: gce-cloud-config,
           gce-daemon,
           gce-startup-scripts,
           gce-compute-image-packages (<< 20191115)
Replaces: gce-cloud-config,
          gce-daemon,
          gce-startup-scripts,
          gce-compute-image-packages (<< 20191115)
Description: Google Compute Engine guest environment.
 This package contains scripts and configuration files for
 features specific to the Google Compute Engine cloud environment.

Package: gce-compute-image-packages
Architecture: all
Depends: ${misc:Depends},
         google-compute-engine
Description: transitional dummy package
 This dummy package is provided for a smooth transition from the
 previous old package name to google-compute-engine.
 .
 It may be safely removed after installation.

Package: python3-google-compute-engine
Architecture: all
Depends: ${misc:Depends},
         google-guest-agent
Description: transitional dummy package
 This dummy package is provided for a smooth transition from the
 previous old package name to google-guest-agent.
 .
 It may be safely removed after installation.

## gce-compute-image-packages 20201222.00

=== debian/changelog ===
gce-compute-image-packages (20201222.00-0ubuntu2~16.04.0) xenial; urgency=medium

  * Backport to Xenial.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 23:12:30 +0100

gce-compute-image-packages (20201222.00-0ubuntu2) hirsute; urgency=medium

  * Update udev rule fix from upstream

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 23:12:11 +0100

gce-compute-image-packages (20201222.00-0ubuntu1) hirsute; urgency=medium

  * debian/changelog: Fix LP bug references
  * debian/copyright: Don't exclude upstream debian/ dir
  * debian/gbp.conf: Add minimal gbp configuration
  * New upstream version 20201222.00 (LP: #1911454)
    - Improved nvme drive handling
    - Fix tx affinity logic when number of CPUs is above 32
  * Ship new google_nvme_id script for udev
  * Depend on nvme-cli
  * Fix invalid substitution error in 65-gce-disk-naming.rules

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 21:08:22 +0100

gce-compute-image-packages (20200626.00-0ubuntu2~16.04.0) xenial; urgency=medium

  * Backport to Xenial with the following remaining changes:
    - Build-depend on debhelper 9 only which is present in Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 15:04:08 +0100

gce-compute-image-packages (20200626.00-0ubuntu2) hirsute; urgency=medium

  * debian/NEWS: Explain recent packaging changes
  * Don't provide transitional python3-google-compute-engine package.
    Installing google-guest-agent forces the removal of
    python3-google-compute-engine to avoid accidental upgrades in stable
    releases. (LP: #1905986)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 13 Jan 2021 13:23:10 +0100

gce-compute-image-packages (20190801-0ubuntu1~16.04.2) xenial; urgency=medium

  * Drop google-compute-engine-oslogin packaging (LP: #1899629)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 13 Oct 2020 22:39:23 +0200

gce-compute-image-packages (20190801-0ubuntu1~16.04.1) xenial; urgency=medium

  * Disable automatic adding of groups to all users (LP: #1878654)
    - d/p/0006-Remove-OS-Login-users-from-admin-groups.-29.patch: remove
      adm, docker, and lxd groups
    - d/p/0007-Remove-local-user-groups-for-OS-Login-users.-30.patch:
      remove dip and plugdev groups

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 14 May 2020 17:05:31 -0700

gce-compute-image-packages (20190801-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial
  * Refresh patches

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 15 Aug 2019 22:05:03 +0200

gce-compute-image-packages (20190522-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 03 Jun 2019 12:41:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.8
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
@@ -13,9 +13,12 @@
 Architecture: all
 Depends: ${misc:Depends},
          google-compute-engine-oslogin (>> 20190801),
-         google-guest-agent
+         google-guest-agent,
+         nvme-cli,
+         ${misc:Depends}
 Provides: irqbalance
-Recommends: rsyslog | system-log-daemon
+Recommends: google-cloud-sdk,
+            rsyslog | system-log-daemon
 Suggests: libpam-cracklib
 Conflicts: gce-cloud-config,
            gce-daemon,
@@ -38,13 +41,3 @@
  previous old package name to google-compute-engine.
  .
  It may be safely removed after installation.
-
-Package: python3-google-compute-engine
-Architecture: all
-Depends: ${misc:Depends},
-         google-guest-agent
-Description: transitional dummy package
- This dummy package is provided for a smooth transition from the
- previous old package name to google-guest-agent.
- .
- It may be safely removed after installation.

## gce-compute-image-packages 20210629.00

=== debian/changelog ===
gce-compute-image-packages (20210629.00-0ubuntu1~21.04.0) hirsute; urgency=medium

  * No-change rebuild for Hirsute. (LP: #1938440)

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Wed, 25 Aug 2021 15:26:20 +0530

gce-compute-image-packages (20210629.00-0ubuntu1) impish; urgency=medium

  * New upstream version 20210629.00. (LP: #1938440)
    - dracut.conf wants spaces around values (#19).
    - address set_hostname vuln (#22).
  * d/p/0001-correct-udev-rule-syntax-15.patch: Drop patch
    as it is included in this upstream release.
  * d/lintian-overrides: Update lintian-overrides by dropping
    the older ones and adding a new one.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 29 Jul 2021 17:20:54 +0530

## gce-compute-image-packages 20211028.00

=== debian/changelog ===
gce-compute-image-packages (20211028.00-0ubuntu1) jammy; urgency=medium

  * New upstream version 20211028.00. (LP: #XXXXXX)
    - use grep for hostname check (#23).
    - dont set IP in etc/hosts; remove rsyslog (#26).
    - fix NVMe partition names (#25).
    - restore rsyslog (#27).
    - Fix NVMe local SSD program regex (#30).

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Mon, 22 Nov 2021 23:59:14 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 9.20160709),
 Standards-Version: 3.9.8
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/gce-compute-image-packages -b ubuntu/master
@@ -17,8 +17,7 @@
          nvme-cli,
          ${misc:Depends}
 Provides: irqbalance
-Recommends: google-cloud-sdk,
-            rsyslog | system-log-daemon
+Recommends: rsyslog | system-log-daemon
 Suggests: libpam-cracklib
 Conflicts: gce-cloud-config,
            gce-daemon,

## gce-compute-image-packages 20220211.00

=== debian/changelog ===
gce-compute-image-packages (20220211.00-0ubuntu1~21.10.0) impish; urgency=medium

  * No-change rebuild for Impish. (LP: #1973159)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 10 Jun 2022 14:13:18 +0530

gce-compute-image-packages (20220211.00-0ubuntu1) kinetic; urgency=medium

  * New upstream version 20220211.00. (LP: #1973159)
    - set NVMe-PD IO timeout to 4294967295. (#32)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 12 May 2022 15:17:42 +0530

gce-compute-image-packages (20211028.00-0ubuntu1~21.10.0) impish; urgency=medium

  * No-change rebuild for Impish. (LP: #1953673)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 08 Dec 2021 23:42:49 +0530

## gce-compute-image-packages 20230328.00

=== debian/changelog ===
gce-compute-image-packages (20230328.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic. (LP: #2015496)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 01 May 2023 11:22:30 +0200

gce-compute-image-packages (20230328.00-0ubuntu1) lunar; urgency=medium

  * New upstream version 20230328.00 (LP: #2015496)
    - Fix a repository URL in packaging specs (#41)
    - Update owners file. (#43)
    - dhcp hostname: don't reset hostname if the hostname hasn't changed (#44)
    - Update OWNERS (#45)
    - Support multiple local SSD controllers. (#39)
    - set hostname: consider fully qualified static hostname (#46)

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Thu, 06 Apr 2023 09:34:55 -0700

gce-compute-image-packages (20220211.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic. (LP: #1973159)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 10 Jun 2022 14:26:48 +0530

gce-compute-image-packages (20211028.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic. (LP: #1953673)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 08 Dec 2021 23:39:33 +0530

gce-compute-image-packages (20210629.00-0ubuntu1~18.04.0) bionic; urgency=medium

  * No-change rebuild for Bionic. (LP: #1938440)

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Thu, 26 Aug 2021 18:33:54 +0530

## gce-compute-image-packages 20230403.00

=== debian/changelog ===
gce-compute-image-packages (20230403.00-0ubuntu1~23.04.0) lunar; urgency=medium

  * No-change rebuild for Lunar.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 16:31:34 +0530

gce-compute-image-packages (20230403.00-0ubuntu1) mantic; urgency=medium

  * New upstream version 20230328.00. (LP: #2020770)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 25 May 2023 16:24:21 +0530

## gce-compute-image-packages 20230808.00

=== debian/changelog ===
gce-compute-image-packages (20230808.00-0ubuntu2~23.10.0) mantic; urgency=medium

  * debian/99-gce.rules:
    * The previous rule forced an I/O scheduler on all disk types. This
      has now been re-scoped to only affect HDDs.
    * The I/O scheduler has also been changed from "NOOP" to "NONE"
      which performed much better in testing.
    * LP: #2045708
  
 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 09 Jan 2024 22:50:47 +0000

gce-compute-image-packages (20230808.00-0ubuntu1) mantic; urgency=medium

  * New upstream version 20230808.00. (LP: #2033061)

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Fri, 25 Aug 2023 17:34:02 +0530

## gce-compute-image-packages 20240307.00

=== debian/changelog ===
gce-compute-image-packages (20240307.00-0ubuntu1~24.04.0) noble; urgency=medium

  * Rebuild for Noble. (LP: #2066314)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 23 May 2024 15:48:02 +0100

gce-compute-image-packages (20240307.00-0ubuntu1) oracular; urgency=medium

  * New upstream version 20240307.00. (LP: #2066314)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 21 May 2024 14:03:23 +0100

gce-compute-image-packages (20230808.00-0ubuntu2) noble; urgency=medium

  * debian/99-gce.rules:
    * The previous rule forced an I/O scheduler on all disk types. This
      has now been re-scoped to only affect HDDs.
    * The I/O scheduler has also been changed from "NOOP" to "NONE"
      which performed much better in testing.
    * LP: #2045708.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 16 Oct 2023 22:59:06 +0100

## gce-compute-image-packages 20240607.00

=== debian/changelog ===
gce-compute-image-packages (20240607.00-0ubuntu1~24.04.0) noble; urgency=medium

  * No-change rebuild for Noble.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 26 Jul 2024 15:47:14 +0100

gce-compute-image-packages (20240607.00-0ubuntu1) oracular; urgency=medium

  * New upstream version 20240607.00. (LP: #2073164)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 15 Jul 2024 18:33:54 +0100

## gce-compute-image-packages 20241010.00

=== debian/changelog ===
gce-compute-image-packages (20241010.00-0ubuntu1~24.10.0) oracular; urgency=medium

  * No-change rebuild for Oracular.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Fri, 15 Nov 2024 13:03:44 +0000

gce-compute-image-packages (20241010.00-0ubuntu1) plucky; urgency=medium

  * New version for upstream tag 20241010.00. (LP: #2084486)
     * Added new dependencies on networkd-dispatcher and jq.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 14 Oct 2024 14:27:42 +0100

## gce-compute-image-packages 20250107.00

=== debian/changelog ===
gce-compute-image-packages (20250107.00-0ubuntu1~24.10.0) oracular; urgency=medium

  * No-change rebuild for Oracular Oriole. 

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 29 Jan 2025 13:08:17 +0000

gce-compute-image-packages (20250107.00-0ubuntu1) plucky; urgency=medium

  * New upstream version for upstream tag 20250107.00. (LP: #2096762)
    * Updated d/rules to match what Google have in their upstream packaging/ubuntu dir

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 27 Jan 2025 12:47:35 +0000

## gce-compute-image-packages 20250328.00

=== debian/changelog ===
gce-compute-image-packages (20250328.00-0ubuntu2~24.10.0) oracular; urgency=medium

  * No change rebuild for Oracular. (LP: #2106629)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 09 Apr 2025 23:39:57 +0100

gce-compute-image-packages (20250328.00-0ubuntu2) plucky; urgency=medium

  * d/install: Do not install /u/l/n-d/routable.d/google_hostname.sh.
    * This script overwrites any hostnames set via cloud-init. The previous version
    that was meant to fix this incorrectly changed just packaging/ubuntu/install,
    which is not actually used for the package build (LP: #2106629).

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 08 Apr 2025 23:35:22 +0100

gce-compute-image-packages (20250328.00-0ubuntu1) plucky; urgency=medium

  * New uptream version for upstream tag 20250328.00. (LP: #2106195)
    * FFe filed as version 20250107.00-0ubuntu1 introduces a regression when
      using cloud-init to create custom hostnames.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Thu, 03 Apr 2025 23:43:28 +0100

## gce-compute-image-packages 20250501.00

=== debian/changelog ===
gce-compute-image-packages (20250501.00-0ubuntu1~24.04.0) noble; urgency=medium

  * No change rebuild for Noble (LP: #2113788).

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 01 Jul 2025 17:50:06 +0100

gce-compute-image-packages (20250501.00-0ubuntu1) questing; urgency=medium

  * New upstream version for upstream tag 20250501.00. (LP: #2113788)
    * This version fixes LP: #2112595 (`Domains=local` is appending
      `.local` to the FQDN) as well.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Mon, 09 Jun 2025 20:58:04 +0100

gce-compute-image-packages (20250328.00-0ubuntu2~24.04.0) noble; urgency=medium

  * No change rebuild for Noble. (LP: #2106629)

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 09 Apr 2025 23:45:17 +0100

gce-compute-image-packages (20250107.00-0ubuntu1~24.04.0) noble; urgency=medium

  * No-change rebuild for Noble Numbat. 

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Wed, 29 Jan 2025 13:25:23 +0000

gce-compute-image-packages (20241010.00-0ubuntu1~24.04.0) noble; urgency=medium

  * No change rebuild for Noble.

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 05 Nov 2024 16:58:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gce-compute-image-packages
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Uploaders: Utkarsh Gupta <utkarsh@ubuntu.com>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
@@ -14,6 +15,8 @@
 Depends: ${misc:Depends},
          google-compute-engine-oslogin (>> 20190801),
          google-guest-agent,
+         jq,
+         networkd-dispatcher,
          nvme-cli,
          ${misc:Depends}
 Provides: irqbalance

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts=\
compression=xz,\
dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gce-compute-image-packages-$1\.tar\.gz/,\
repack,\
repacksuffix=+dfsg1 \
 https://github.com/GoogleCloudPlatform/guest-configs/tags .*/v?(\d\S*)\.tar\.gz

## gce-compute-image-packages 20260116.00

=== debian/changelog ===
gce-compute-image-packages (20260116.00-0ubuntu1) resolute; urgency=medium

  * New version from upstream tag 20260116.00 (LP: #2139280)
    * Major updates to upstream's `packaging` dir (new `d/rules`
      additions, new ``.install` file for Trixie, etc.) however this
      directory is not used or copied to our debian directory (it's just
      updated here for parity).

 -- Chloé 'kajiya' Smith <chloe.smith@canonical.com>  Tue, 27 Jan 2026 22:01:18 +0000
